> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Export payments



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/payments
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payments:
    get:
      tags:
        - Manage your data
      summary: Export payments
      operationId: Payments_GetAll
      parameters:
        - name: merchantPaymentId
          in: query
          schema:
            type: string
            description: Your Rocka payment ID.
          x-position: 1
        - name: status
          in: query
          schema:
            description: Filter by payment status.
          x-position: 2
        - name: dateFrom
          in: query
          schema:
            type: string
            format: date-time
            description: >-
              Only include payments that were made after a certain date.
              YYYY-MM-DD.
          x-position: 3
        - name: dateTo
          in: query
          schema:
            type: string
            format: date-time
            description: >-
              Only include payments that were made before a certain date.
              YYYY-MM-DD.
          x-position: 4
        - name: limit
          in: query
          schema:
            type: string
            description: Limit the number of payments retrieved.
          x-position: 5
      responses:
        '200':
          description: Payments retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  payments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        merchantPaymentId:
                          type: string
                        amount:
                          type: number
                          format: double
                        currency:
                          type: string
                        status:
                          type: string
                        description:
                          type: string
                        reference:
                          type: string
                        createdDate:
                          type: string
                          format: date-time
                        finalisedDate:
                          type: string
                          format: date-time
                          nullable: true
                  continuationToken:
                    type: string
                    nullable: true
              examples:
                Multiple payments:
                  summary: Response with multiple matching payments
                  value:
                    payments:
                      - id: a19834d7-3568-43ae-995c-5924ab5f6609
                        merchantPaymentId: test_42e1d37d-9831-4c42-a052-ce99c173bf42
                        amount: 3.21
                        currency: EUR
                        status: Done
                        description: Test-mag
                        reference: KRZF242T PAYMENT
                        createdDate: '2025-09-23T11:51:26.882Z'
                        finalisedDate: '2025-09-23T11:51:55.425Z'
                      - id: 6c141e45-864e-4be1-9fb8-39fc7ae83d0a
                        merchantPaymentId: test_cd2585cd-0edf-4acc-a951-9ed74a2512df
                        amount: 3.21
                        currency: EUR
                        status: Done
                        description: Test-mag
                        reference: ZH6BJZHF PAYMENT
                        createdDate: '2025-09-23T11:11:21.779Z'
                        finalisedDate: '2025-09-23T11:11:46.974Z'
                      - id: 564240a6-d7b4-4da5-b1ca-5ed885793602
                        merchantPaymentId: test_3ba6d845-01ae-4c28-aa56-b2942f8b082c
                        amount: 3.21
                        currency: EUR
                        status: Done
                        description: Test-mag
                        reference: OM4GLWVC PAYMENT
                        createdDate: '2025-09-23T11:10:06.184Z'
                        finalisedDate: '2025-09-23T11:10:36.601Z'
                    continuationToken: null
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````